# TFV
The tfv package is primarily a suite of tools for post-processing results
from the [TUFLOW FV](https://www.tuflow.com/Tuflow%20FV.aspx) hydrodynamic and sediment transport modelling software.

It is also provides a basic framework for extracting and visualizing 2D and 3D oceanographic and atmospheric
model result data on unstructured meshes.

## Installing
The tfv package is available via the Python Package Index ([PyPi](https://pypi.org/))

From command prompt install and update using pip:

```
python -m pip install tfv
```

## Dependancies
The tfv package depends on the following packages:

```
matplotlib >= 3.1.1
netCDF4 >= 1.5.1.2
numpy >= 1.17.0
PyQt5 >= 5.13.0
```

These will be automatically installed or updated as part of the tfv installation.

## Tutorials, Documentation & Support
See [documentation](https://tfv.readthedocs.io/en/latest/) for tutorials, API reference and details on how to contribute.

For support contact support@tuflow.com

## Authors
* **Toby Devlin (BMT)**
* **Jonah Chorley (BMT)**

## License
This project is licensed under the MIT License - see the [LICENSE.txt](https://gitlab.com/TUFLOW/tfv/blob/master/LICENSE) file for details


